//--------------------------------------------------------------
// Press F1 to get help about using script.
// To access an object that is not located in the current class, start the call with Globals.
// When using events and timers be cautious not to generate memoryleaks,
// please see the help for more information.
//---------------------------------------------------------------

namespace Neo.ApplicationFramework.Generated
{
    using System.Windows.Forms;
    using System;
    using System.Drawing;
    using Neo.ApplicationFramework.Tools;
    using Neo.ApplicationFramework.Common.Graphics.Logic;
    using Neo.ApplicationFramework.Controls;
    using Neo.ApplicationFramework.Interfaces;
	
	using System.Data;
	using System.Data.SQLite;
	using Common.Dynamics;
    
    
    public partial class Screen1
    {
		public string[] finalStringArray = new string[0];
		
		void Screen1_Opened(System.Object sender, System.EventArgs e)
		{	
			//string[] newStringArray = { Globals.Tags.Tag1.Value, Globals.Tags.Tag2.Value, Globals.Tags.Tag3.Value};//, "Dog3", "Dog4", "Dog5", "Dog6", "Dog1", "Chicken1", "Dog1", "Chicken1", "Dog1", "Chicken1", "Dog1", "Chicken1", "Dog1", "Chicken1", "Dog1", "Chicken1", "Dog1", "Chicken1", "Dog1", "Chicken1", "Dog1", "Chicken1", "Dog1", "Chicken1" };
			//UpdateFinalArray(newStringArray, ref finalStringArray);
			//Add_TouchComboBoxValue(ref m_TouchComboBox, finalStringArray.Length, finalStringArray);
		}

		void Add_TouchComboBoxValue(ref Controls.TouchComboBox.TouchComboBoxHostCF touchComboBox, int numElements, string[] addElements)
		{
			if (touchComboBox.IntervalMapper.Intervals.Count > 0)
				touchComboBox.IntervalMapper.ClearIntervals();

			for (int i = 0; i < numElements; i++)
			{
				StringIntervalCF stringintervalcf1 = new StringIntervalCF();
				stringintervalcf1.End = i * 1.0;
				stringintervalcf1.Start = i * 1.0;
				stringintervalcf1.Value = addElements[i];
				touchComboBox.IntervalMapper.AddInterval(stringintervalcf1.End, stringintervalcf1.Start, stringintervalcf1.Value);
				Controls.Add(touchComboBox);
			}
		}
		
		public void UpdateFinalArray(string[] newArray, ref string[] finalArray)
		{
			Array.Resize(ref finalArray, newArray.Length);
			Array.Copy(newArray, finalArray, newArray.Length);
		}
		
		
		void Button1_Click(System.Object sender, System.EventArgs e)
		{
			string[] newStringArray = Globals.Tags.StringArray.Value.ToString().Split(',');
			
			UpdateFinalArray(newStringArray, ref finalStringArray);
			Add_TouchComboBoxValue(ref m_TouchComboBox, finalStringArray.Length, finalStringArray);
		}
		
		void Button_Click(System.Object sender, System.EventArgs e)
		{
			string[] newStringArray = {  "Dog", "Cat", "Chicken", "Duck", "Frog", "Donkey" };
			UpdateFinalArray(newStringArray, ref finalStringArray);
			Add_TouchComboBoxValue(ref m_TouchComboBox, finalStringArray.Length, finalStringArray);
		}
		
		void Button2_Click(System.Object sender, System.EventArgs e)
		{
			m_TouchComboBox.IntervalMapper.ClearIntervals();
		}
    }
}
